Name:          p7zip
Version:       17.06
Release:       1mamba
Summary:       A file archiver with highest compression ratio
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/p7zip-project/p7zip
Source:        https://github.com/p7zip-project/p7zip.git/v%{version}/p7zip-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
p7zip is a port of 7z.exe and 7za.exe for Unix. 7z.exe and 7za.exe are the command line version of 7-zip, a file archiver with highest compression ratio.


%prep
%setup -q
sed -i "s|strip|/bin/true|" install.sh

%build
%make all3 OPTFLAGS="%{optflags}"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
make install \
   DEST_HOME=%{buildroot}%{_prefix} \
   DEST_MAN=%{buildroot}%{_mandir} \
   DEST_SHARE_DOC=%{buildroot}%{_docdir}/%{name}-%{version}

# Strip buildroot from symlinks in bindir
sed -i 's/'`echo %{buildroot} | sed 's/\//\\\\\//g'`'//' \
   %{buildroot}%{_bindir}/7z{,a,r}

chmod -R a+w %{buildroot}%{_defaultdocdir}/%{name}-%{version}
rm -fr %{buildroot}%{_defaultdocdir}/%{name}-%{version}

# fix permissions for tools
chmod 755 %{buildroot}%{_prefix}/lib/%{name}/7z{,a,Con.sfx}

# fixup strange shared library permissions
chmod 755 %{buildroot}%{_prefix}/lib/%{name}/*/*.so

## install mc extension
#install -D -m 755 contrib/VirtualFileSystemForMidnightCommander/u7z \
#   %{buildroot}%{_datadir}/mc/extfs/u7z

# install gzip-like CLI wrapper
install -D -m 755 contrib/gzip-like_CLI_wrapper_for_7z/%{name} \
   %{buildroot}%{_bindir}/%{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/7za
%{_bindir}/7z
%{_bindir}/7zr
%{_bindir}/p7zip
%dir %{_prefix}/lib/%{name}
%{_prefix}/lib/%{name}/*
%{_mandir}/man1/7z*
#%doc DOCS/License.txt DOCS/copying.txt
#%doc ChangeLog README TODO DOCS
#%doc contrib/VirtualFileSystemForMidnightCommander/readme
#%doc contrib/gzip-like_CLI_wrapper_for_7z/README

%changelog
* Tue Jan 07 2025 Automatic Build System <autodist@openmamba.org> 17.06-1mamba
- automatic version update by autodist

* Fri Mar 15 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 17.05-1mamba
- update to 17.05

* Sat Jul 16 2016 Automatic Build System <autodist@mambasoft.it> 16.02-1mamba
- automatic version update by autodist

* Wed May 11 2016 Automatic Build System <autodist@mambasoft.it> 15.14.1-1mamba
- automatic version update by autodist

* Mon Mar 09 2015 Automatic Build System <autodist@mambasoft.it> 9.38.1-1mamba
- automatic version update by autodist

* Mon Feb 23 2015 Automatic Build System <autodist@mambasoft.it> 9.38-1mamba
- automatic version update by autodist

* Sat Jul 23 2011 Automatic Build System <autodist@mambasoft.it> 9.20.1-1mamba
- automatic update to 3.0.3.0 by autodist

* Thu Jan 27 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 9.13-1mamba
- update to 9.13
- removed post script to add support for mc (included upstream)

* Wed Jun 10 2009 Automatic Build System <autodist@mambasoft.it> 9.04-1mamba
- automatic update by autodist

* Sun Apr 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.65-2mamba
- exclude conflicting file with mc

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.65-1mamba
- automatic update by autodist

* Mon Dec 22 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.61-1mamba
- automatic update by autodist

* Thu Oct 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.57-1mamba
- automatic update by autodist
- removed requirement for mc

* Tue Apr 17 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.44-1mamba
- update to version 4.44 by autospec

* Mon Jul 17 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 4.42-1qilnx
- update to version 4.42 by autospec

* Mon Apr 10 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 4.37-1qilnx
- spec file fixed
- update to version 4.37 by autospec

* Thu Sep 22 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 4.20-1qilnx
- update to version 4.20 by autospec

* Tue Feb 08 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.01-2qilnx
- rebuilt and moved to devel repository

* Tue Feb 08 2005 Stefano Cotta Ramusino <whitone@gmail.com> 4.14.01-1qilnx
- package created by autospec
